Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.keyvalue
Class AbstractMapEntryDecorator

    java.lang.Object
      |
      +--org.apache.commons.collections.keyvalue.AbstractMapEntryDecorator

All Implemented Interfaces:
  KeyValue, Map.Entry

Direct Known Subclasses:
  AbstractDualBidiMap.MapEntry

public abstract class AbstractMapEntryDecorator
extends Object
implements Map.Entry, KeyValue

Provides a base decorator that allows additional functionality to be added to a Map Entry.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:00:08 $
Author:
  Stephen Colebourne

Field Summary
`protected Map.Entry` | `entry` The `Map.Entry` to decorate

Constructor Summary
`AbstractMapEntryDecorator(Map.Entry entry)` Constructor that wraps (not copies).

Method Summary
`boolean` | `equals(Object object)`
`Object` | `getKey()` Gets the key from the pair.
`protected Map.Entry` | `getMapEntry()` Gets the map being decorated.
`Object` | `getValue()` Gets the value from the pair.
`int` | `hashCode()`
`Object` | `setValue(Object object)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### entry

    protected final Map.Entry entry

  The `Map.Entry` to decorate

Constructor Detail

### AbstractMapEntryDecorator

    public AbstractMapEntryDecorator(Map.Entry entry)

  Constructor that wraps (not copies).

Parameters:
  `entry` - the `Map.Entry` to decorate, must not be null
Throws:
  `IllegalArgumentException` - if the collection is null

Method Detail

### getMapEntry

    protected Map.Entry getMapEntry()

  Gets the map being decorated.

  Returns:
    the decorated map

### getKey

    public Object getKey()

  Description copied from interface: `KeyValue`
  Gets the key from the pair.

  Specified by:
    `getKey` in interface `Map.Entry`
  Returns:
    the key

### getValue

    public Object getValue()

  Description copied from interface: `KeyValue`
  Gets the value from the pair.

  Specified by:
    `getValue` in interface `Map.Entry`
  Returns:
    the value

### setValue

    public Object setValue(Object object)

  Specified by:
    `setValue` in interface `Map.Entry`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.